import QtQuick 1.1
import com.nokia.meego 1.0
import QtWebKit 1.0

Page {
    tools: commonTools
    orientationLock: PageOrientation.LockPortrait

    WebView {
        id: webView
        anchors.fill: parent
        url: "about.html"
        settings.javascriptCanAccessClipboard: true
        settings.localStorageDatabaseEnabled: true
        settings.offlineStorageDatabaseEnabled: true
        settings.offlineWebApplicationCacheEnabled: true
        settings.localContentCanAccessRemoteUrls: true
        settings.privateBrowsingEnabled: false

        javaScriptWindowObjects: QtObject {
            WebView.windowObjectName: "native"
            function loadSettingsFromFile() {
                var settingsStr = settingsHandler.loadData();
                return JSON.parse(settingsStr);
            }

            function saveSettingsToFile(settings) {
                settingsHandler.saveData(JSON.stringify(settings));
            }
        }
    }
}
