document.addEventListener('DOMContentLoaded', function() {
    window.initializeSettings();
    var sendButton = document.getElementById('send-button');
    var messageInput = document.getElementById('message-input');
    messageInput.blur();

    sendButton.onclick = function() {
        sendMessage();
    };

    messageInput.onkeypress = function(event) {
        if (event.keyCode === 13 && !sendButton.disabled) {
            sendMessage();
        }
    };

    function sendMessage() {
        var input = messageInput.value.trim();
        if (input === '') return;
        addMessageToChat(input, 'user');
        window.sendChatGPTRequest(addBotError);

        messageInput.value = '';
    }
});

function botResponseCompleted() {
    var lastMessage = chatContainer.lastChild;
    if (lastMessage && lastMessage.className.indexOf('bot') !== -1) {
        lastMessage.innerHTML = marked(lastMessage.innerHTML);
    }

    sendButton.disabled = false;
}

function addBotError(message) {
    addMessageToChat(message, 'bot');
    document.getElementById('send-button').disabled = false;
}

function addBotResultContent(message) {
    addMessageToChat(JSON.parse(message)['choices'][0]['message']['content'], 'bot');
    document.getElementById('send-button').disabled = false;
}

function addBotPartialResultContent(content) {
    var chatContainer = document.getElementById('chat-container');
    var lastMessage = chatContainer.lastChild;

    if (!lastMessage || lastMessage.className.indexOf('bot') === -1) {
        addMessageToChat('', 'bot');
        lastMessage = chatContainer.lastChild;
    }

    lastMessage.innerHTML += content;
    chatContainer.scrollTop = chatContainer.scrollHeight;
}

function addMessageToChat(message, sender) {
    var chatContainer = document.getElementById('chat-container');
    var messageElement = document.createElement('div');
    messageElement.className = 'message ' + sender;
    messageElement.innerHTML = marked(message);
    chatContainer.appendChild(messageElement);
    chatContainer.scrollTop = chatContainer.scrollHeight;
}
