import QtQuick 1.1
import com.nokia.meego 1.0
import QtWebKit 1.0

PageStackWindow {
    id: appWindow

    initialPage: chatPage

    ChatPage {
        id: chatPage
    }

    SettingsPage {
        id: settingsPage
    }

    AboutPage {
        id: aboutPage
    }

    ToolBarLayout {
        id: commonTools
        visible: true

           Text {
               id: textElement
               width: 254
               height: 33
               text: "ChatGPT for MeeGo"
               font.bold: true
               anchors.leftMargin: 10
               font.pointSize: 20
               verticalAlignment: Text.AlignVCenter
               anchors.left: (parent === undefined) ? undefined : parent.left
           }

           Item {
               width: parent.width - textElement.width - toolMenuElement.width - spacing
               height: 1
           }

            ToolIcon {
                id: toolMenuElement
                platformIconId: "toolbar-view-menu"
                anchors.right: (parent === undefined) ? undefined : parent.right
                onClicked: (myMenu.status === DialogStatus.Closed) ? myMenu.open() : myMenu.close()
            }
    }

    Menu {
        id: myMenu
        visualParent: pageStack
        MenuLayout {
            MenuItem {
                text: qsTr("Chat")
                onClicked: appWindow.pageStack.currentPage == chatPage ? myMenu.close() : appWindow.pageStack.replace(chatPage)
            }

            MenuItem {
                text: qsTr("Settings")
                onClicked: appWindow.pageStack.currentPage == settingsPage ? myMenu.close() : appWindow.pageStack.replace(settingsPage)
            }

            MenuItem {
                text: qsTr("About")
                onClicked: appWindow.pageStack.currentPage == aboutPage ? myMenu.close() : appWindow.pageStack.replace(aboutPage)
            }
        }
    }
}
