var modelSelect = document.getElementById('model');
var customModelGroup = document.getElementById('custom-model-group');

modelSelect.addEventListener('change', function() {
    if (modelSelect.value === 'custom') {
        customModelGroup.style.display = 'block';
    } else {
        customModelGroup.style.display = 'none';
    }
});

document.addEventListener('DOMContentLoaded', function() {
    window.initializeSettings();
    loadFromLocalStorage();
});

function loadFromLocalStorage() {
    var apiKey = localStorage.getItem('apiKey');
    document.getElementById('api-key').value = apiKey;

    var apiUrl = localStorage.getItem('apiUrl');
    document.getElementById('api-url').value = apiUrl;

    var model = localStorage.getItem('model');
    document.getElementById('model').value = model;

    var customModel = localStorage.getItem('customModel');
    if (customModel) {
        document.getElementById('custom-model').value = customModel;
        customModelGroup.style.display = 'block';
    }
}

document.getElementById('api-key-paste-button').addEventListener('click', function() {
     document.getElementById('api-key').focus();
     document.execCommand('paste');
});

document.getElementById('save-button').addEventListener('click', function() {
    var apiKey = document.getElementById('api-key').value;
    var model = modelSelect.value;
    var customModel = document.getElementById('custom-model').value;
    var apiUrl = document.getElementById('api-url').value;

    if (!apiKey || !model || !apiUrl || (model === 'custom' && !customModel)) {
        indicateMessage('error-indicator');
        return;
    }

    localStorage.setItem('apiKey', apiKey);
    localStorage.setItem('model', model);
    localStorage.setItem('customModel', customModel);
    localStorage.setItem('apiUrl', apiUrl);

    var settings = {
        apiKey: apiKey,
        model: model,
        customModel: customModel,
        apiUrl: apiUrl
    };

    window.native.saveSettingsToFile(settings);
    indicateMessage('save-indicator');
});

function indicateMessage(indicatorId) {
    // Display the indicator
    var indicator = document.getElementById(indicatorId);
    indicator.style.display = 'block';

    // Hide the save indicator after 3 seconds
    setTimeout(function() {
        indicator.style.display = 'none';
    }, 3000);
}
